> For the complete documentation index, see [llms.txt](https://integrations.impact.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://integrations.impact.com/brand-api-reference/reference/unique-urls/unique-urls.md).

# Unique URLs

## List All Unique URLs

> Returns a list of your unique URLs, which can be filtered by campaign and state.

```json
{"openapi":"3.1.0","info":{"title":"Brand API - Unique URLs","version":"v14"},"servers":[{"url":"https://api.impact.com"}],"paths":{"/Advertisers/{AccountSID}/UniqueUrls":{"get":{"summary":"List All Unique URLs","description":"Returns a list of your unique URLs, which can be filtered by campaign and state.","operationId":"listUniqueUrls","tags":["Unique URLs"],"parameters":[{"name":"AccountSID","in":"path","required":true,"schema":{"type":"string"}},{"name":"CampaignId","in":"query","description":"Filter by the program (campaign) ID that hosts the URL.","schema":{"type":"integer"}},{"name":"State","in":"query","description":"Filter by the current state of the unique URL.","schema":{"type":"string","enum":["AVAILABLE","DELETED","INUSE","QUARANTINE","RESERVED"]}}],"responses":{"200":{"description":"A paginated list of unique URL objects.","content":{"application/json":{"schema":{"type":"object","properties":{"UniqueUrls":{"type":"array","description":"The list of unique URL objects.","items":{"$ref":"#/components/schemas/UniqueUrl"}}}}}}}}}}},"components":{"schemas":{"UniqueUrl":{"type":"object","properties":{"Id":{"type":"integer","description":"The unique identifier for the unique URL."},"Url":{"type":"string","format":"uri","description":"The unique URL itself."},"LandingPage":{"type":"string","format":"uri","description":"The landing page the URL redirects to."},"CampaignId":{"type":"integer","description":"Id of the program (formerly known as campaign) that hosts the unique URL."},"CampaignName":{"type":"string","description":"The display name of the program."},"State":{"type":"string","description":"State of the unique URL.","enum":["AVAILABLE","DELETED","INUSE","QUARANTINE","RESERVED"]},"MediaPartnerId":{"type":"integer","nullable":true,"description":"The unique identifier of the partner the URL is assigned to, if any."},"MediaPartnerName":{"type":"string","nullable":true,"description":"The display name of the assigned partner."},"DateCreated":{"type":"string","format":"date-time","description":"The date and time the unique URL was created."},"DateLastAssigned":{"type":"string","format":"date-time","nullable":true,"description":"The date and time the unique URL was last assigned to a partner."},"DateLastReleased":{"type":"string","format":"date-time","nullable":true,"description":"The date and time the unique URL was last released from a partner."},"Uri":{"type":"string","format":"uri-reference","description":"The unique reference to this unique URL in the impact.com API."}}}}}}
```

## Get Unique URL Details

> Retrieves the details of a specific unique URL by its ID.

```json
{"openapi":"3.1.0","info":{"title":"Brand API - Unique URLs","version":"v14"},"servers":[{"url":"https://api.impact.com"}],"paths":{"/Advertisers/{AccountSID}/UniqueUrls/{UrlId}":{"get":{"summary":"Get Unique URL Details","description":"Retrieves the details of a specific unique URL by its ID.","operationId":"getUniqueUrlById","tags":["Unique URLs"],"parameters":[{"name":"AccountSID","in":"path","required":true,"schema":{"type":"string"}},{"name":"UrlId","in":"path","required":true,"description":"The unique identifier for the URL.","schema":{"type":"integer"}}],"responses":{"200":{"description":"A single unique URL object.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UniqueUrl"}}}}}}}},"components":{"schemas":{"UniqueUrl":{"type":"object","properties":{"Id":{"type":"integer","description":"The unique identifier for the unique URL."},"Url":{"type":"string","format":"uri","description":"The unique URL itself."},"LandingPage":{"type":"string","format":"uri","description":"The landing page the URL redirects to."},"CampaignId":{"type":"integer","description":"Id of the program (formerly known as campaign) that hosts the unique URL."},"CampaignName":{"type":"string","description":"The display name of the program."},"State":{"type":"string","description":"State of the unique URL.","enum":["AVAILABLE","DELETED","INUSE","QUARANTINE","RESERVED"]},"MediaPartnerId":{"type":"integer","nullable":true,"description":"The unique identifier of the partner the URL is assigned to, if any."},"MediaPartnerName":{"type":"string","nullable":true,"description":"The display name of the assigned partner."},"DateCreated":{"type":"string","format":"date-time","description":"The date and time the unique URL was created."},"DateLastAssigned":{"type":"string","format":"date-time","nullable":true,"description":"The date and time the unique URL was last assigned to a partner."},"DateLastReleased":{"type":"string","format":"date-time","nullable":true,"description":"The date and time the unique URL was last released from a partner."},"Uri":{"type":"string","format":"uri-reference","description":"The unique reference to this unique URL in the impact.com API."}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://integrations.impact.com/brand-api-reference/reference/unique-urls/unique-urls.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
